# Build a CRUD App with FastAPI and PyMongo

In this article, you'll learn how to build a CRUD application with FastAPI, PyMongo, and a MongoDB database. You'll have a full-fledged REST API that can accept CRUD (Create, Read, Update, and Delete) requests from an API testing tool or a frontend application.

![Build a CRUD App with FastAPI and PyMongo](https://codevoweb.com/wp-content/uploads/2022/11/Build-a-CRUD-App-with-FastAPI-and-PyMongo.webp)

## Topics Covered

- Run the FastAPI CRUD App Locally
- Run the Frontend App Locally
- Setup FastAPI with PyMongo
    - Setup MongoDB With Docker
    - Install FastAPI and Start the HTTP Server
- Designing the App
- Connect the FastAPI App to MongoDB
- Create the Request Validation Schemas
- Create Database Serializers
- Create the Path Operation Functions
    - Retrieve all Documents
    - Create a Document
    - Update a Document
    - Get a Document
    - Delete a Document
    - Complete Path Operation Functions
- Register the Router in the FastAPI App

Read the entire article here: [https://codevoweb.com/build-a-crud-app-with-fastapi-and-pymongo](https://codevoweb.com/build-a-crud-app-with-fastapi-and-pymongo)

